/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of MiniBasic.                                 *
 * See the file "MiniBasic-LICENSE" for Copyright information and  *
 * the terms and conditions for copying, distribution and          *
 * modification of MiniBasic.                                      *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package minibasic;

/**/
import minibasic.node.*;
import minibasic.lexer.*;
import minibasic.parser.*;

import java.io.*;

public class Main
{
    public static void main(String[] arguments)
    {

        try
        {
            Lexer l = new Lexer(
                new PushbackReader(
                new BufferedReader(
                new FileReader(arguments[0])), 1024));

            Parser p = new Parser(l);

            Node tree = p.parse();

            tree.apply(new Interpreter());
        }
        catch(Exception e)
        {
            System.out.println(e);
        }
    }
}
