package minibasic.tool;

/**/
import minibasic.node.*;

import java.io.*;

/**
 * Prints the tree of the given AST on standard output.
 * This is a toy class which demonstrates the use of PrintWalker adapter 
 * for traversing the Abstract Syntax Tree and printing each node.
 *@author Mariusz Nowostawski
 */
public class PrintTree {

    public static void main(String[] arguments) {

        try {
            Node ast = TreeBuilder.getNode(
		new PushbackReader(
                new BufferedReader(
                new FileReader(arguments[0])), 1024));

	    ast.apply(new PrintWalker());
	} catch(Exception e) {
            e.printStackTrace();
        }
    }
}
